//  File: KifSeqvar.java

/*  Set tabstop = 4 to read this file.
*
*   Maintanence History:
*   . Mar. 7, 97:
*     - add method: varName()
*
*   Note: Further work on this class might be necessary.
*/

package jkp;

import jbf.*;
import java.lang.*;


/**
 * The class for KIF sequencial variable.
 * @author  <A href="http://www.cs.umbc.edu/~xluan1/">Xiaocheng LUAN</A>
 */
public class KifSeqvar extends KifObj {

	private String _varName;

	public KifSeqvar(String varName)
	{
		setType(KifObj.KIF_SEQVAR);
		_varName = varName;
	}

	/**
	 * @return return the variable name in the form: @name
	 */
	public String varName() { return _varName; }
	public String
	toString()
	{
		return _varName;
	}
}

